# FieldTable Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for FieldTable:
[legend]

List of all members.

## Public Member Functions

| __construct ($field)
| getField ()
| toDialectString (Dialect $dialect)

## Protected Attributes

| $field = null

## Detailed Description

Definition at line 16 of file FieldTable.class.php.

## Constructor & Destructor Documentation

FieldTable::__construct | ( | $ | field | ) |

Definition at line 20 of file FieldTable.class.php.

References $field.

## Member Function Documentation

FieldTable::getField | ( |  | ) |

Definition at line 25 of file FieldTable.class.php.

FieldTable::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 30 of file FieldTable.class.php.

References Dialect::fieldToString(), and Dialect::toCasted().

Here is the call graph for this function:

## Member Data Documentation

FieldTable::$field = null`[protected]`

Definition at line 18 of file FieldTable.class.php.

Referenced by OrderBy::__construct(), __construct(), OrderBy::create(), and GroupBy::create().

The documentation for this class was generated from the following file:

- core/OSQL/FieldTable.class.php